> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-add-new-partner-apis.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> List the authenticated partner's assigned customers, newest assignment first.



## OpenAPI

````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customers
openapi: 3.0.0
info:
  title: bunny.net Partner Portal API
  version: 1.0.0
servers:
  - url: https://api.bunny.net
    description: bunny.net API Server
security:
  - AccessKey: []
tags:
  - name: Customers
  - name: Audit Log
  - name: Contract
  - name: Billing
  - name: Pricing
  - name: Products
paths:
  /partner/customers:
    get:
      tags:
        - Customers
      summary: List Customers
      description: >-
        List the authenticated partner's assigned customers, newest assignment
        first.
      operationId: ListPartnerCustomersEndpoint_ListCustomers
      responses:
        '200':
          description: All customers assigned to this partner.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PartnerCustomerListItemModel'
        '401':
          description: The request authorization failed.
        '403':
          description: Authenticated user is not a reseller or MSP partner.
      security:
        - AccessKey:
            - ResellerPartner
            - MSPPartner
        - bearer:
            - ResellerPartner
            - MSPPartner
components:
  schemas:
    PartnerCustomerListItemModel:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: integer
          description: Primary key of the partner-customer relationship row
          format: int64
        CustomerUserId:
          type: string
          description: User id of the customer
          nullable: true
        Email:
          type: string
          description: Email of the customer
          nullable: true
        CompanyName:
          type: string
          description: Company name of the customer, if set on their account
          nullable: true
        ContractBillingType:
          description: >-
            Billing type agreed in the contract with the partner. Null if no
            contract is set
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PartnerContractBillingType'
        ContractValue:
          type: number
          description: Contract value agreed with the partner.
          format: decimal
          nullable: true
        Currency:
          description: Currency of the contract value.
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PartnerCustomerContractCurrency'
        ContractStartDate:
          type: string
          description: Contract start date.
          format: date-time
          nullable: true
        ContractEndDate:
          type: string
          description: Contract end date.
          format: date-time
          nullable: true
    PartnerContractBillingType:
      type: integer
      description: |-
        1 = PayAsYouGo
        2 = PostPaidPayAsYouGo
        3 = MonthlyPlan
      x-enumNames:
        - PayAsYouGo
        - PostPaidPayAsYouGo
        - MonthlyPlan
      enum:
        - 1
        - 2
        - 3
    PartnerCustomerContractCurrency:
      type: integer
      description: |-
        0 = USD
        1 = EUR
      x-enumNames:
        - USD
        - EUR
      enum:
        - 0
        - 1
  securitySchemes:
    AccessKey:
      type: apiKey
      description: API Access Key authorization header
      name: AccessKey
      in: header
    bearer:
      type: apiKey
      description: Bearer token authorization header
      name: Authorization
      in: header

````